clear all; close all; clc

% load APMonitor library
addpath('apm')

% Option #1: solve model with APM MATLAB
solution = apm_solve('2nd_order',4);
z1 = solution.x;

% Option #2: solve model with ode23 MATLAB
z2 = ode23(@model,[0 2],[2,-1]);

% plot results
plot(z1.time,z1.y,'r-','LineWidth',2)
hold on
plot(z1.time,z1.dy,'b--','LineWidth',2)
plot(z2.x,z2.y(1,:),'g:')
plot(z2.x,z2.y(2,:),'k-.')

legend('y (APM)','dy/dt (APM)','y (ODE23)','dy/dt (ODE23)')
xlabel('Time')
